alt.java.net

## Class SocketFactoryImpl

- java.lang.Object
- - alt.java.net.SocketFactoryImpl

All Implemented Interfaces:
  SocketFactory

    public class SocketFactoryImpl
    extends java.lang.Object
    implements SocketFactory

### Constructor Summary

Constructors
Constructor and Description
`SocketFactoryImpl()`

### Method Summary

Methods
`Socket` `createSocket(java.lang.String host, int port)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SocketFactoryImpl

    public SocketFactoryImpl()

### Method Detail

#### createSocket

    public Socket createSocket(java.lang.String host,
                      int port)
                        throws java.net.UnknownHostException,
                               java.io.IOException

Specified by:
  `createSocket` in interface `SocketFactory`
Throws:
  `java.net.UnknownHostException`
  `java.io.IOException`